{#
/**
 * @file
 * Theme override to display all the fields in a row.
 *
 * Available variables:
 * - view: The view in use.
 * - fields: A list of fields, each one contains:
 *   - content: The output of the field.
 *   - raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - class: The safe class ID to use.
 *   - handler: The Views field handler controlling this field.
 *   - inline: Whether or not the field should be inline.
 *   - wrapper_element: An HTML element for a wrapper.
 *   - wrapper_attributes: List of attributes for wrapper element.
 *   - separator: An optional separator that may appear before a field.
 *   - label: The field's label text.
 *   - label_element: An HTML element for a label wrapper.
 *   - label_attributes: List of attributes for label wrapper.
 *   - label_suffix: Colon after the label.
 *   - element_type: An HTML element for the field content.
 *   - element_attributes: List of attributes for HTML element for field content.
 *   - has_label_colon: A boolean indicating whether to display a colon after
 *     the label.
 *   - element_type: An HTML element for the field content.
 *   - element_attributes: List of attributes for HTML element for field content.
 * - row: The raw result from the query, with all data it fetched.
 *
 * @see template_preprocess_views_view_fields()
 */
#}


{% set repo_nid = fields.nid.content|render|trim|striptags|raw %}
{% set repo_nid_val = repo_nid|render|trim|striptags|raw %}

{% if view_display_page == "view-bibliographic" %}
  <div class="card-body">
    <h5 class="card-title">{{ fields.title_3.content }}</h5>
  </div>
{% else %}
  <div class="card-img {{test_classes}}">
    {% if collection_media_img_url[repo_nid_val] is not empty %}
      <div class="image__wrapper">
        <img src="{{ collection_media_img_url[repo_nid_val] }}" alt="xml-document.png" loading="lazy" typeof="foaf:Image">
      </div>
    {% else %}
      <div class="default_image">
        <div class="image__wrapper">
          <img src="{{ fields.default_thumbnail_field.content|render|trim|striptags|raw }}" alt="xml-document.png" loading="lazy" typeof="foaf:Image">
        </div>
      </div>
    {% endif %}
  </div>
  <div class="card-body">
    <h5 class="card-title">{{ fields.title_3.content }}</h5>
    <p class="card-text">{{ fields.field_description_long.content }}</p>
    <p class="card-text">
      <small class="text-muted">{{ agent_name }}</small>
    </p>
    <p class="card-text">
      {% if fields.field_edtf_date_issued_1.content|striptags|trim is not empty %}
        <small class="text-muted">{{ fields.field_edtf_date_issued_1.content }}</small>
      {% elseif fields.field_edtf_date_created_1.content|striptags|trim is not empty%}
        <small class="text-muted">{{ fields.field_edtf_date_created_1.content }}</small>
      {% else %}
        <small class="text-muted">{{ fields.created.content }}</small>
      {% endif %}
    </p>
  </div>
{% endif %}
